Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170617 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170617

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (17.1.1 -> 17.1.2)
corosync
crda
emacs
ethtool (4.10 -> 4.11)
freerdp (2.0.0~git.1463131968.4e66df7 -> 2.0.0~git.1497095982.1dbd2d28d)
ghostscript
ibus
ibus-qt
kernel-firmware
kernel-source (4.11.4 -> 4.11.5)
lapack
libgadu (1.12.1 -> 1.12.2)
libnl3 (3.3.0~rc1 -> 3.3.0)
libsolv
lynx (2.8.8rel.2 -> 2.8.9~dev.14)
mailx
nbd (3.15.2 -> 3.16.1)
patterns-media
pciutils-ids (20170403 -> 20170525)
procmail
publicsuffix (20170424 -> 20170608)
python-kiwi (9.7.0 -> 9.7.2)
rdma-core
sash
sqlite3 (3.19.2 -> 3.19.3)
vim (8.0.566 -> 8.0.627)
xen (4.9.0_07 -> 4.9.0_08)
xfce4-terminal (0.8.5 -> 0.8.5.1)
xorg-x11-server
yast2-bootloader (3.2.20 -> 3.2.22)
yast2-samba-client (3.1.18 -> 3.1.19)

=== Details ===

==== Mesa ====
Version update (17.1.1 -> 17.1.2)
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1
Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva
libOSMesa8 libOSMesa8-32bit libgbm1 libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_radeon libwayland-egl1 libxatracker2

- added "Requires: libclc" to Mesa-libOpenCL packages (boo#1044646)
- specfile: Remove requires to vulkan libs from baselibs.conf on
platforms where vulkan build is disabled; ugly ... (bsc#1042900)
- update to 17.1.2
* fdo#98833 - [REGRESSION, bisected] Wayland revert commit breaks
non-Vsync fullscreen frame updates
* fdo#100741 - Chromium - Memory leak
* fdo#100877 - vulkan/tests/block_pool_no_free regression
* fdo#101110 - Build failure in GNOME Continuous
* many ANV, RADV, vulkan, i965 and egl fixes

==== corosync ====

- some Fixes from upstream(bsc#1043045)
Added:
0004-main-Display-reason-why-cluster-cannot-be-formed.patch
0005-votequorum-Report-errors-from-votequorum_exec_send_r.patch
0006-coroapi-Use-size_t-for-private_data_size.patch
[patch-lost-in-sle] Missing issues in openSUSE:Factory/corosync(bsc#1041587)
add change log for upgrading corosync to v2.3.6 and make this change log
contain all records in SLE12 SP3
make the format consistent

==== crda ====

- adjust Makefile patch to not include CFLAGS on linker line,
this indirectly enables PIE support.

==== emacs ====
Subpackages: emacs-info emacs-nox emacs-x11 etags

- Add conditional emacs-25.2-xwidget.patch, and
pkgconfig(webkit2gtk-4.0) BuildRequires; depend on latest
webkitgtk for Tumbleweed.

==== ethtool ====
Version update (4.10 -> 4.11)

- Update to new upstream release 4.11
* Feature: Support for configurable RSS hash function
* Feature: support queue and VF fields for rxclass filters
* Feature: Add support for 2500baseT/5000baseT link modes
* Fix: Fix SFF 8079 cable technology bit parsing
* Fix: sync help output for -x/-X with man page

==== freerdp ====
Version update (2.0.0~git.1463131968.4e66df7 -> 2.0.0~git.1497095982.1dbd2d28d)
Subpackages: libfreerdp2

- Redo history by using changelog url
- Update to version 2.0.0~git.1497095982.1dbd2d28d:
See https://github.com/freerdp/freeRDP/compare/043243f...1dbd2d28d
for full details.
- Packaging :
+ Move to xz tarball in _service
+ Remove 3472.patch merged upstream
- Update to version 2.0.0~git.1496304402.c42ccb508:
See https://github.com/freerdp/freeRDP/compare/043243f...c42ccb508
for changes.
- Forcefully enable PIE in CFLAGS as the automatism did not work.
- Add 3472.patch until upstream #3472 isssue is fixed and PR merged
this fix boo#1004108
- Update to version 2.0.0~git.1477034991.043243f:
* fixed kerberos authentication
* shadow/rdpsnd: Fix race condition in rdpsnd channel server.
The output buffer and format parameters are not protected.
* wfreerdp: fix invalid VerifyCertificate callback
* rdpsnd/server: decrease audio latency and make it configurable.
* Add an environment variables section to the man
* protocol violation: rdp_read_extended_info_packet
* Added support for OpenH264 1.6
* freerdp: fix sending of TLS alert on NLA failure, add better
handling of server-side NLA in shadow server
* freerdp: add configurable NTLM SAM file option for
server-side NLA
* freerdp: make modifications to NLA server-side fixes according
to PR comments
* Fixed a windows 8.1 issue.

==== ghostscript ====
Subpackages: ghostscript-devel ghostscript-x11

- CVE-2017-7207.patch fixes a NULL pointer dereference in mem_get_bits_rectangle
see https://bugs.ghostscript.com/show_bug.cgi?id=697676
(bsc#1030263)
- CVE-2017-9216.patch fixes a NULL pointer dereference in jbig2_huffman_get
see https://bugs.ghostscript.com/show_bug.cgi?id=697934
(bsc#1040643)

==== ibus ====
Subpackages: ibus-branding-openSUSE-KDE ibus-gtk ibus-gtk-32bit ibus-gtk3
libibus-1_0-5 libibus-1_0-5-32bit python-ibus typelib-1_0-IBus-1_0

- Update ibus.spec: copy auto-start files to SOURCE directory
to enable modifications before compile.
- Add ibus-disable-engines-preload-in-GNOME.patch: Disable load
preload-engines actions in SLE, which is unnecessary for mono IMF
in SLE and may cause CJK user login failed (bsc#1036729).

==== ibus-qt ====

- Add fix-keysym-type.patch to fix type for KeySym. Fixes a runtime
crash with gcc7.

==== kernel-firmware ====
Subpackages: ucode-amd

- Remove exclude i586 and s390 that was carried from SLE package,
which results in breaking i586 imaging.

==== kernel-source ====
Version update (4.11.4 -> 4.11.5)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.11.5 (CVE-2017-1000380 bnc#1012628 bsc#1040041
bsc#1044125 CVE-2017-7346 bsc#1031796).
- Delete
patches.fixes/ALSA-timer-Fix-missing-queue-indices-reset-at-SNDRV_.
- Delete patches.fixes/ALSA-timer-Fix-race-between-read-and-ioctl.
- Delete
patches.fixes/drm-vmwgfx-limit-the-number-of-mip-levels-in-vmw_gb_.patch.
- Delete
patches.fixes/ptrace-Properly-initialize-ptracer_cred-on-fork.
- commit 8ffa6bb
- ALSA: timer: Fix missing queue indices reset at
SNDRV_TIMER_IOCTL_SELECT (CVE-2017-1000380,bsc#1044125).
- ALSA: timer: Fix race between read and ioctl
(CVE-2017-1000380,bsc#1044125).
- commit 94096d3
- rpm/kernel-module-subpackage: Generate proper supplements in the template
... instead of relying on find-provides.ksyms to do it (bsc#981083).
- commit b1fe840
- rpm/kernel-source.spec.in: Do not list deleted depdendency helpers
(bsc#981083).
- commit 9306efe
- Define dependencies of in-kernel KMPs statically
This allows us to use rpm's internal dependency generator (bsc#981083).
- commit 88d6128
- rpm/find-provides: Delete, as /boot/vmlinux-* is no longer in -devel
- commit 4df55cc
- rpm/package-descriptions: Import SLE12-SP3 KMP descriptions
- commit ff51a7c

==== lapack ====
Subpackages: libblas3 liblapack3

- Correct RPM groups

==== libgadu ====
Version update (1.12.1 -> 1.12.2)
Subpackages: libgadu-devel libgadu3

- Update to version 1.12.2, bugfix release:
+ fixes overwriting memory when updating contacts list
+ fixes TLS connection and improve gnutls errors handling
+ fixes disconnection when joining to room with title set
+ other small fixes

==== libnl3 ====
Version update (3.3.0~rc1 -> 3.3.0)
Subpackages: libnl-config libnl3-200 libnl3-200-32bit

- Update to final release 3.3.0
* No changes

==== libsolv ====
Subpackages: libsolv-devel libsolv-tools perl-solv python-solv

- Enable complex/rich dependencies for CentOS/RHEL 7, matching how
libsolv is configured there.
- Disable bzip2 and xz/lzma compression support for SLE <= 12
- Enable bzip2 and xz/lzma compression support
- Enable complex/rich dependencies on distributions with RPM 4.13+
- Simplified CentOS/RHEL conditionals
- Added Mageia conditionals
- Fixed a few spec portability issues

==== lynx ====
Version update (2.8.8rel.2 -> 2.8.9~dev.14)

- update to 2.8.9dev.14 to build with openssl 1.1 [bsc#1042661]
- dropped patches
. lynx-2.8.5.dif
. lynx-no-build-date.patch
. lynx-2.8.8-expired-cookie-crash.patch
. lynx-CVE-2016-9179.patch
. lynx-2.8.8-ncurses-6.0-20170318.patch
- renamed patches
. lynx-2.8.7-enable_xli.patch to lynx-enable_xli.patch
. lynx-2.8.5-charset.patch to lynx-charset.patch
. lynx-2.8.5.dif split to lynx-helpfile.patch and
lynx-proxy-empty-string.patch

==== mailx ====

- Add patch mailx-12.5-openssl-1.1.0f.patch
Avoid deprecated/unavailable openSSL client methods (boo#1042663)

==== nbd ====
Version update (3.15.2 -> 3.16.1)

- Update to version 3.16.1:
* Only change is a minor bugfix from 3.16, so that
- -enable-syslog is unbroken.
- Changes for version 3.16.0:
* Implement the NBD_OPT_GO and NBD_OPT_INFO negotiation options
in both the client and the server, and use them in preference
over NBD_OPT_EXPORT_NAME (but fall back to the latter in case
the serverdoesn't support NBD_OPT_GO).
* Make sure we still run the postrun command, even if the
connection was closed improperly.
* Add a new "waitfile" parameter.
* Make sure that nbd compiles on non-Linux platforms again, in
the face of all variants of the GnuTLS options.
* Various fixes for issues found by Coverity

==== patterns-media ====

- Drop xf86-video-intel Recommends from all patterns: modesetting
driver from Mesa is preferd these days.
- Drop ndiswrapper-kmp-desktop, ndiswrapper-kmp-default and
ndiswrapper Recommends from all patterns.

==== pciutils-ids ====
Version update (20170403 -> 20170525)

- Update to 20170525

==== procmail ====

- Add reproducible.patch to have binaries independent of speed
of compile system (boo#1041534)

==== publicsuffix ====
Version update (20170424 -> 20170608)

- Update to version 20170608:
* Add nom.nc (#305)
* Add definima domain suffix (#383)
* Sort by company
* Delete .ORIENTEXPRESS (#437)
* Add cloud.goog (#449)

==== python-kiwi ====
Version update (9.7.0 -> 9.7.2)
Subpackages: kiwi-pxeboot kiwi-tools

- Bump version: 9.7.1 ? 9.7.2
- Update rpm-check-signatures documentation
- Fix default location repository config file for apt
This commit fixes the apt config file management for default
locations. The template subsitution always needs to be executed
providing all the substitution parameters, as it does not make any
kind of default assumption when parameters are missing.
Fixes #370
- Revert "Refactor detection code for grub directory name"
The former detection of the grub directory name in boot was
correct whereas the new code introduced a problem.
This reverts commit b3e4b871d52da2b5ab579d592ccc7ae39de75339.
This Fixes #371
- Include repository_gpgcheck and package_gpgcheck documentation
- Improve package/repository signature checking setup
This commit adds repository_gpgcheck and package_gpgcheck attributes
to the repository tag in schema. With this change each repository
can be configured individualy to enable repository signatures check
and/or enable signature package check. The configuration is done at
repository level, thus it is not conflicting with the wide package
manager configuration flag <rpm-signatures-check>.
Fixes #358
- Update PXE building chapter
Redesign PXE building chapter to follow style guide.
Thanks to Thomas Schraitle for review and additional
contributions to this topic. This Fixes #323
- Update chapter due to review
- Update OEM building chapter
Redesign building chapter to follow style guide. Issue #323
- Bump version: 9.7.0 ? 9.7.1
- Refactor detection code for grub directory name
The method get_grub_boot_directory_name was based on checking
for the name of the grub2 install tool, but this is not always
reliable because the name of the grub2 install tool has no
direct connection to the grub2 path. The method changes in a
way that it checks for the presence of the grub2 installation
directory which is /usr/lib/grub or /usr/lib/grub2. Depending
on the result the location in boot is /boot/grub or /boot/grub2
which seems to be a more reliable check
- Fixup detection of grub directory name
In order to put grub data to boot/grub2 or boot/grub a check for
the grub2-tool vs. grub-tool name is performed. This requires
access to the image root directory on a file basis which is not always
applicable. When setting up the grub bootloader for e.g EFI boot on
an iso image the rootfs can't be directly accessed because the iso
image contains the rootfs in a compressed format. This commit
refactors the check to be generic for all image types
- Fixup EFI setup for iso images
The embedded efi fat image on the iso filesystem must follow
the same rules compared to the setup on a disk
- Fix docstring and apply ReST markup
Avoids the the following warning:
Definition list ends without a blank line; unexpected unindent.
Docstring contains ReST markup from

http://www.sphinx-doc.org/en/stable/domains.html#cross-referencing-python-objects
- Some corrections for Building Docker image docs
- Rearrange Docker docs
This commit rearranges the Docker image builds documentation
in order to match the criteria exposed in #323

==== rdma-core ====
Subpackages: libibcm1 libibumad3 libibverbs1 libmlx5-1 librdmacm1
rdma-core-devel rsocket

- BuildRequire pkgconfig(systemd) instead of systemd-devel: this
allows OBS to chose systemd-mini and produce a better
rebuild-chain.
- Add patch rdma-core-s390x.patch to fix s390x build (bsc#1043105).
* Add missing verbs providers for s390x
* Add mlx5 package for s390x
- libibverbs1 requires libibverbs (bsc#1042840).

==== sash ====

- Refresh sash-Makefile.diff to respect cflags
- Move the binary to bindir instead of /bin bsc#1029975

==== sqlite3 ====
Version update (3.19.2 -> 3.19.3)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- a little less packaging cleanup so as to not break SLE 11 SP4
- Small packaging cleanup
- Update to 3.19.3:
* Fix a bug associated with auto_vacuum that can lead to database
corruption. (introduced in 3.16.0)

==== vim ====
Version update (8.0.566 -> 8.0.627)
Subpackages: gvim vim-data

- Updated to revision 627, fixes the following problems
* Call for requesting color and ambiwidth is too early. (Hirohito Higashi)
* "1gd" may hang.
* Bracketed paste is still enabled when executing a shell command.
(Michael Smith)
* Can't run make with several jobs, creating directories has a race
condition.
* The cursor line number becomes negative when using :z^ in an empty
buffer. (neovim #6557)
* Building the command table requires Perl.
* Running parallel make after distclean fails. (Manuel Ortega)
* Get only one quickfix list after :caddbuf.
* Using freed memory when resetting 'indentexpr' while evaluating
it. (Dominique Pelle)
* Can't build when configure choses "install-sh". (Daniel Hahler)
* Warning for uninitialized variable. (John Marriott)
* :simalt on MS-Windows does not work properly.
* Duplicate test case for quickfix.
* Cannot set the valid flag with setqflist().
* Moving folded text is sometimes not correct.
* Illegal memory access with z= command. (Dominique Pelle)
* Fold test hangs on MS-Windows.
* Memory leak when executing quickfix tests.
* Test_options fails when run in the GUI.
* No test for mapping timing out.
* Configure check for return value of tgetent is skipped.
* job_stop() often assumes the channel will be closed, while the job
may not actually be stopped. (Martin Gammelsæter)
* :simalt still does not work.
* Cannot add a context to locations.
* Changes to eval functionality not documented.
* If a job writes to a buffer and the user is typing a command, the screen
isn't updated. When a message is displayed the changed buffer
may cause it to be cleared. (Ramel Eshed)
* Duplication of code for adding a list or dict return value.
* Build failure when windows feature is missing.
* Coverity warning for not checking return value of dict_add().
* Crash when complete() is called after complete_add() in
'completefunc'. (Lifepillar)
* Off-by-one error in buffer size computation.
* Building with gcc 7.1 yields new warnings.
* diff mode is insufficiently tested
* test_recover fails on some systems.
* No test coverage for :spellrepall.
* When gF fails to edit the file the cursor still moves to the found
line number.
* gF test fails on MS-Windows.
* gF test fails still on MS-Windows.
* The buffer that quickfix caches for performance may become invalid. (Daniel
Hahler)
* Cannot set the context for a specified quickfix list.
* When creating a bufref, then using :bwipe and :new it might get the same
memory and bufref_valid() returns true.
* Cannot manipulate other than the current quickfix list.
* For some people the hint about quitting is not sufficient.
* The screen is redrawn when t_BG is set and used to detect the value for
'background'.
* When t_u7 is sent a few characters in the second screen line are
overwritten and not redrawn later. (Rastislav Barlik)
* Package directories are added to 'runtimepath' only after loading
non-package plugins.
* The conf filetype detection is done before ftdetect scripts from packages
that are added later.
* float2nr() is not exactly right.
* Using % with :hardcopy wrongly escapes spaces. (Alexey Muranov)
* When setting the cterm background with ":hi Normal" the value of
'background' may be set wrongly.
* Hardcopy test hangs on MS-Windows.
* NFA regex engine handles [0-z] incorrectly.
* In the GUI, when a timer uses feedkeys(), it still waits for an
event. (Raymond Ko)
* Since we only support GTK versions that have it, the ckeck for
HAVE_GTK_MULTIHEAD is no longer needed.
* The ":stag" command does not respect 'switchbuf'.
* Using a text object to select quoted text fails when 'selection' is set to
"exclusive". (Guraga)
* The message "Invalid range" is used for multiple errors.
* Warning for unused variable in tiny build. (Tony Mechelynck)
* shellescape() always escapes a newline, which does not work with some
shells. (Harm te Hennepe)
* In the GUI the cursor may flicker.
* When 'wrapscan' is off "gn" does not select the whole pattern when it's
the last one in the text. (KeyboardFire)

==== xen ====
Version update (4.9.0_07 -> 4.9.0_08)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- Update to Xen 4.9.0-rc8 (fate#321394, fate#323108)
xen-4.9.0-testing-src.tar.bz2

==== xfce4-terminal ====
Version update (0.8.5 -> 0.8.5.1)
Subpackages: xfce4-terminal-lang

- Update to version 0.8.5.1:
* Fix font settings load (bxo#13574).

==== xorg-x11-server ====
Subpackages: xorg-x11-server-sdk

- includes everything needed for additional sle issue entries:
CVE-2017-2624, bnc#1025029, bnc#1025084, bnc#1025035
- update build requirements
- modesetting.ids: no longer hardcode Intel's Skylake, Broxton,
and Kabylake IDs to modesetting driver; xf86-video-intel is no
longer installed by default on these, so it will fallback to
modesetting driver anyway; still you now can easily switch back
to intel driver by installing xf86-video-intel package
(boo#1042873)

==== yast2-bootloader ====
Version update (3.2.20 -> 3.2.22)

- Use udev device for prep partition if it is available
(bsc#1041692)
- 3.2.22
- Do not crash if all devices have defined bios_id, but none is
the first one (bsc#1043759)
- 3.2.21

==== yast2-samba-client ====
Version update (3.1.18 -> 3.1.19)

- Enable yast to create temporary smb.conf based on existing
contents of /etc/samba/smb.conf; (bsc#1039764).
- 3.1.19


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups